summaryrefslogtreecommitdiff
path: root/helpers/lh_source_generic
diff options
context:
space:
mode:
Diffstat (limited to 'helpers/lh_source_generic')
-rwxr-xr-xhelpers/lh_source_generic53
1 files changed, 53 insertions, 0 deletions
diff --git a/helpers/lh_source_generic b/helpers/lh_source_generic
new file mode 100755
index 0000000..a4fa1cc
--- /dev/null
+++ b/helpers/lh_source_generic
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# lh_source_generic(1) - build source generic image
+
+set -e
+
+# Source common functions
+for FUNCTION in /usr/share/live-helper/functions/*.sh
+do
+ . ${FUNCTION}
+done
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/image
+Set_defaults
+
+if [ "${LIVE_SOURCE}" = "disabled" ]
+then
+ echo "W: source images disabled (FIXME)"
+ exit 0
+fi
+
+for IMAGE in ${LIVE_SOURCE_IMAGE}
+do
+ if [ "${IMAGE}" = "generic" ]
+ then
+ # Requiring stage file
+ Require_stagefile "${LIVE_ROOT}"/.stage/source_download
+
+ # Checking lock file
+ Check_lockfile "${LIVE_ROOT}"/.lock
+
+ # Creating lock file
+ Create_lockfile "${LIVE_ROOT}"/.lock
+
+ # Checking stage file
+ Check_stagefile "${LIVE_ROOT}"/.stage/source_generic
+
+ # Remove old source
+ if [ -f "${LIVE_ROOT}"/source.tar ]
+ then
+ rm -f "${LIVE_ROOT}"/source.tar
+ fi
+
+ # Create tarball
+ cd "${LIVE_ROOT}" &&
+ tar cf source.tar source
+
+ # Creating stage file
+ Create_stagefile "${LIVE_ROOT}"/.stage/source_generic
+ fi
+done